Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454466

Summary: Review Request: php-pear-Console-ProgressBar - This class provides you with an easy-to-use interface to progress bars
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, pahan
Target Milestone: ---Flags: tibbs: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-16 23:22:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 457590    

Description Remi Collet 2008-07-08 17:08:13 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-Console-ProgressBar.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Console-ProgressBar-0.5.2-0.1.beta.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/php-pear-Console-ProgressBar-build.log
Description: 
The class allows you to display progress bars in your terminal. You can use
this for displaying the status of downloads or other tasks that take some
time.

--
rpmlint is silent

This extension is required by new PHP_CompatInfo (1.8.0)

Comment 1 Jason Tibbitts 2008-08-20 23:03:25 UTC
The only issue I see is that this is missing
  Requires: php-pear(PEAR)

* source files match upstream:
   a8b6ed1b927d24cd9339b52f165382e76ef86a39a3e3b0bb23af1707f87a72f9  
   Console_ProgressBar-0.5.2beta.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (it's in the PHP source, though).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
X Missing php-pear(PEAR) dependency:
   php-pear(Console_ProgressBar) = 0.5.2
   php-pear-Console-ProgressBar = 0.5.2-0.1.beta.fc10
  =
   /bin/sh
   /usr/bin/pear

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 3 Jason Tibbitts 2008-08-21 12:01:28 UTC
Thanks.

APPROVED

Comment 4 Remi Collet 2008-08-22 08:13:10 UTC
Thank's for the review

New Package CVS Request
=======================
Package Name: php-pear-Console-ProgressBar
Short Description: Eeasy-to-use interface to progress bars
Owners: remi
Branches: F-9 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-08-23 17:54:01 UTC
cvs done. 

(I fixed the "Ee" typo in the short description)

Comment 6 Fedora Update System 2008-08-28 19:08:27 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc9

Comment 7 Fedora Update System 2008-08-28 19:09:22 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc8

Comment 8 Fedora Update System 2008-09-10 06:33:26 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Console-ProgressBar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7313

Comment 9 Fedora Update System 2008-09-10 06:44:10 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Console-ProgressBar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7408

Comment 10 Fedora Update System 2008-09-16 23:22:52 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-09-16 23:25:21 UTC
php-pear-Console-ProgressBar-0.5.2-0.2.beta.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.